#include <kernel.h>
#include <t_syslog.h>
#include "rp1.h"

void hard_ware_init_hook_c(void) {
	unsigned int ra;

	/* UART0初期設定 */
	sil_wrw_mem((void*)UART0_CR,0);
	ra=sil_rew_mem((void*)GPFSEL1);
	ra&=~(7<<12); //fsel14
	ra|= 4<<12;    //alt0
	ra&=~(7<<15); //fsel15
	ra|=4<<15;    //alt0
	sil_wrw_mem((void*)GPFSEL1,ra);
	sil_wrw_mem((void*)GPPUD,0);
	for(ra=0;ra<150;ra++)target_emptyfunc(ra);
	sil_wrw_mem((void*)GPPUDCLK0,(1<<14)|(1<<15));
	for(ra=0;ra<150;ra++)target_emptyfunc(ra);
	sil_wrw_mem((void*)GPPUDCLK0,0);

	/* LED初期設定 */
	ra= sil_rew_mem((void*)GPFSEL1);
	ra&=~(7<<18);  /*fsel16*/
	ra|=1<<18;  /*output*/
	sil_wrw_mem((void*)GPFSEL1,ra);
}

